Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSlideMaster

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFSlideMaster

All Implemented Interfaces:
  XSLFShapeContainer, poi.support.Iterable

    public class XSLFSlideMaster

extends XSLFSheet

Slide master object associated with this layout.

Within a slide master slide are contained all elements that describe the objects and their corresponding formatting for within a presentation slide.

Within a slide master slide are two main elements. The cSld element specifies the common slide elements such as shapes and their attached text bodies. Then the txStyles element specifies the formatting for the text within each of these shapes. The other properties within a slide master slide specify other properties for within a presentation slide such as color information, headers and footers, as well as timing and transition information for all corresponding presentation slides.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`XSLFBackground` | `getBackground()`
`XSLFSlideLayout` | `getLayout(SlideLayout type)`
`XSLFSheet` | `getMasterSheet()`
`XSLFSlideLayout[]` | `getSlideLayouts()`
`XSLFTheme` | `getTheme()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, clear, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getCommonSlideData, getFollowMasterGraphics, getPlaceholder, getPlaceholders, getShapes, getSlideShow, importContent, iterator, removeShape`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getMasterSheet

    public XSLFSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

### getSlideLayouts

    public XSLFSlideLayout[] getSlideLayouts()

  Returns:
    all slide layouts referencing this master

### getLayout

    public XSLFSlideLayout getLayout(SlideLayout type)

### getTheme

    public XSLFTheme getTheme()

  Returns:
    theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

### getBackground

    public XSLFBackground getBackground()

  Overrides:
    `getBackground` in class `XSLFSheet`
  Returns:
    background for this sheet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD